AGVirtualRepository (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.repository, class: AGVirtualRepository

Package com.franz.agraph.repository

# Class AGVirtualRepository

java.lang.Object
org.eclipse.rdf4j.repository.base.AbstractRepository
com.franz.agraph.repository.AGVirtualRepository

All Implemented Interfaces:
  `AGAbstractRepository`, `Closeable`, `AutoCloseable`, `org.eclipse.rdf4j.repository.Repository`

public class AGVirtualRepository extends org.eclipse.rdf4j.repository.base.AbstractRepository implements AGAbstractRepository
A class for virtual repositories, used for working with federations, graph-filtered stores, reasoning stores, and compositions thereof.

Virtual repositories don't reside on disk (their component stores do); they don't have a catalog.

Applications normally create a virtual repository via an AGServer instance.

See Also:
  - `AGServer.virtualRepository(String)`
  - `AGServer.federate(AGAbstractRepository...)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGVirtualRepository(AGServer server, String spec, AGRepository wrapped)`
  Applications normally create a virtual repository via an AGServer instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Calls Sesame method `AbstractRepository.shutDown()`.
  `static String`
  `federatedSpec(String[] repoSpecs)`
  `static String`
  `filteredSpec(AGAbstractRepository repo, org.eclipse.rdf4j.model.Resource[] contexts)`
  `static String`
  `filteredSpec(String repoSpec, String[] graphs)`
  `AGCatalog`
  `getCatalog()`
  Virtual repositories don't reside on disk (their component stores do); they don't have a catalog.
  `AGRepositoryConnection`
  `getConnection()`
  `AGRepositoryConnection`
  `getConnection(ScheduledExecutorService executor)`
  `File`
  `getDataDir()`
  Deprecated.
  not applicable to AllegroGraph
  `AGServer`
  `getServer()`
  `String`
  `getSpec()`
  Gets the store specification used to create this virtual repository.
  `AGValueFactory`
  `getValueFactory()`
  `boolean`
  `isWritable()`
  `static String`
  `reasoningSpec(String repoSpec, String reasoner)`
  `static String`
  `reasoningSpec(String repoSpec, String reasoner, org.eclipse.rdf4j.model.Resource inferredGraph)`
  `void`
  `setDataDir(File dataDir)`
  Deprecated.
  not applicable to AllegroGraph

  ### Methods inherited from class org.eclipse.rdf4j.repository.base.AbstractRepository

  `init, isInitialized, shutDown`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.eclipse.rdf4j.repository.Repository

  `init, isInitialized, shutDown`

- ## Constructor Details

  - ### AGVirtualRepository

    public AGVirtualRepository(AGServer server, String spec, AGRepository wrapped)
    Applications normally create a virtual repository via an AGServer instance.
    Parameters:
      `server` - the server hosting this virtual repository
      `spec` - the store specification for this repository
      `wrapped` - the component repository of this virtual repository
    See Also:
      - `AGServer.virtualRepository(String)`
      - `AGServer.federate(AGAbstractRepository...)`

- ## Method Details

  - ### federatedSpec

    public static String federatedSpec(String[] repoSpecs)

  - ### reasoningSpec

    public static String reasoningSpec(String repoSpec, String reasoner)

  - ### reasoningSpec

    public static String reasoningSpec(String repoSpec, String reasoner, org.eclipse.rdf4j.model.Resource inferredGraph)

  - ### filteredSpec

    public static String filteredSpec(AGAbstractRepository repo, org.eclipse.rdf4j.model.Resource[] contexts)

  - ### filteredSpec

    public static String filteredSpec(String repoSpec, String[] graphs)

  - ### getServer

    public AGServer getServer()
    Specified by:
      `getServer` in interface `AGAbstractRepository`

  - ### getCatalog

    public AGCatalog getCatalog()
    Virtual repositories don't reside on disk (their component stores do); they don't have a catalog.
    Specified by:
      `getCatalog` in interface `AGAbstractRepository`
    Returns:
      always returns null

  - ### getSpec

    public String getSpec()
    Gets the store specification used to create this virtual repository.
    Specified by:
      `getSpec` in interface `AGAbstractRepository`
    See Also:
      - `AGServer.virtualRepository(String)`

  - ### isWritable

    public boolean isWritable()
    Specified by:
      `isWritable` in interface `org.eclipse.rdf4j.repository.Repository`

  - ### getValueFactory

    public AGValueFactory getValueFactory()
    Specified by:
      `getValueFactory` in interface `AGAbstractRepository`
    Specified by:
      `getValueFactory` in interface `org.eclipse.rdf4j.repository.Repository`

  - ### getConnection

    public AGRepositoryConnection getConnection(ScheduledExecutorService executor) throws org.eclipse.rdf4j.repository.RepositoryException
    Specified by:
      `getConnection` in interface `AGAbstractRepository`
    Throws:
      `org.eclipse.rdf4j.repository.RepositoryException`

  - ### getConnection

    public AGRepositoryConnection getConnection() throws org.eclipse.rdf4j.repository.RepositoryException
    Specified by:
      `getConnection` in interface `AGAbstractRepository`
    Specified by:
      `getConnection` in interface `org.eclipse.rdf4j.repository.Repository`
    Throws:
      `org.eclipse.rdf4j.repository.RepositoryException`

  - ### close

    public void close() throws org.eclipse.rdf4j.repository.RepositoryException
    Calls Sesame method `AbstractRepository.shutDown()`.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Throws:
      `org.eclipse.rdf4j.repository.RepositoryException`

  - ### getDataDir

    @Deprecated public File getDataDir()
    Deprecated.
    not applicable to AllegroGraph
    The dataDir is not currently applicable to AllegroGraph.
    Specified by:
      `getDataDir` in interface `org.eclipse.rdf4j.repository.Repository`
    Throws:
      `UnsupportedOperationException` - this operation is unsupported

  - ### setDataDir

    @Deprecated public void setDataDir(File dataDir)
    Deprecated.
    not applicable to AllegroGraph
    The dataDir is not currently applicable to AllegroGraph.
    Specified by:
      `setDataDir` in interface `org.eclipse.rdf4j.repository.Repository`
    Throws:
      `UnsupportedOperationException` - this operation is unsupported